Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.server
Class ServerProcess

    java.lang.Object
      java.lang.Thread
          org.basex.server.ServerProcess

All Implemented Interfaces:
  Runnable

    public final class ServerProcess

extends Thread

Single session for a client-server connection.

Author:
  Workgroup DBIS, University of Konstanz 2005-10, ISC License, Andreas Weiler

Nested Class Summary

Nested classes/interfaces inherited from class java.lang.Thread
`Thread.State, Thread.UncaughtExceptionHandler`

Field Summary
`Context` | `context` Database context.

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`ServerProcess(Socket s, BaseXServer b)` Constructor.

Method Summary
`void` | `exit()` Exits the session.
`String` | `info()` Returns session information.
`boolean` | `init()` Initializes the session via cram-md5 authentication.
`void` | `run()`
`String` | `toString()`

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, yield`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### context

    public final Context context

  Database context.

Constructor Detail

### ServerProcess

    public ServerProcess(Socket s,
                         BaseXServer b)

  Constructor.

  Parameters:
    `s` - socket
    `b` - server reference

Method Detail

### init

    public boolean init()

  Initializes the session via cram-md5 authentication.

  Returns:
    success flag

### run

    public void run()

  Specified by:
    `run` in interface `Runnable`
  Overrides:
    `run` in class `Thread`

### exit

    public void exit()

  Exits the session.

### info

    public String info()

  Returns session information.

  Returns:
    database information

### toString

    public String toString()

  Overrides:
    `toString` in class `Thread`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD